Update bulk operation
import requests
url = "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}"
payload = { "type": "deleteRule" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"deleteRule\"\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'deleteRule'})
};
fetch('https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"deleteRule\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}"
payload := strings.NewReader("{\n \"type\": \"deleteRule\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'deleteRule'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request PUT \
--url https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "deleteRule"
}
'{
"type": "deleteRule",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"creationDate": "2026-07-13T18:04:12.190428685Z",
"lastModifiedBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"lastModified": "2026-07-13T18:04:14.902428685Z",
"status": "COMPLETED",
"lastHeartbeat": "2026-07-13T18:04:14.900484876Z",
"errorMessage": null,
"rules": [
{
"ruleId": "af2d99c0-3d11-4002-a5d0-835b673d7f32",
"status": "COMPLETED",
"errorMessage": null,
"detailedErrorMessage": null
}
]
}Update bulk operation
Update an existing bulk operation. Used to modify operation parameters or retry failed rules.
PUT
/
bulk-operations
/
{id}
Update bulk operation
import requests
url = "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}"
payload = { "type": "deleteRule" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"deleteRule\"\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'deleteRule'})
};
fetch('https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"deleteRule\"\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}"
payload := strings.NewReader("{\n \"type\": \"deleteRule\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'deleteRule'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request PUT \
--url https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "deleteRule"
}
'{
"type": "deleteRule",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"creationDate": "2026-07-13T18:04:12.190428685Z",
"lastModifiedBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"lastModified": "2026-07-13T18:04:14.902428685Z",
"status": "COMPLETED",
"lastHeartbeat": "2026-07-13T18:04:14.900484876Z",
"errorMessage": null,
"rules": [
{
"ruleId": "af2d99c0-3d11-4002-a5d0-835b673d7f32",
"status": "COMPLETED",
"errorMessage": null,
"detailedErrorMessage": null
}
]
}Authorizations
Body
application/json
- Delete
- Edit
- Migrate
- Publish
- Unpublish
Delete a set of rules in bulk.
Response
200 - */*
OK
- Delete
- Edit
- Migrate
- Publish
- Unpublish
Summary of a bulk delete rule operation.
Was this page helpful?